Autor Tema: Instalar HORST (Highly Optimized Radio Scanning Tool)  (Leído 2238 veces)

0 Usuarios y 1 Visitante están viendo este tema.

piccolino

  • Visitante
Instalar HORST (Highly Optimized Radio Scanning Tool)
« en: 03-02-2017, 12:20 (Viernes) »
Hola gente.. El otro día instale Lede por ser compatible con mi adaptador TL8192CU. He visto que presenta varias mejoras respecto a mi antigua versión de Openwrt. El caso es que he tratado de instalar el paquete Horst que tenia antes desde el repositorio Openwrt y no puedo.
Quisiera saber si alguien conoce alguna forma sencilla de hacerlo puesto que no tengo conocimientos avanzados.. Adjunto un pantallazo mostrando el error:




eduperez

  • Visitante
Re: Instalar HORST (Highly Optimized Radio Scanning Tool)
« Respuesta #1 en: 03-02-2017, 13:17 (Viernes) »
En los directorios de descarga de LEDE no aparece ese paquete; quizás lo han sustituido por otro, o lo han eliminado por ser obsoleto; mejor pregunta en la página del proyecto.

Ficht

  • Visitante
Re:
« Respuesta #2 en: 03-02-2017, 13:55 (Viernes) »
 Si, el programa sí se compila perfectamente.
Yo lo tengo instalado en LEDE, plataforma brcm63xx.


Enviado desde mi Y635-L01 mediante Tapatalk


piccolino

  • Visitante
Re: Instalar HORST (Highly Optimized Radio Scanning Tool)
« Respuesta #3 en: 03-02-2017, 14:42 (Viernes) »
Ficht - Me podrías indicar como lo has hecho?..

Después de actualizar la lista de paquetes y buscar por horst no me aparece.. a ti si?.. La configuración que tengo es esta, y la bin que instale es: lede-17.01.0-rc1-r3042-ec095b5-brcm63xx-generic-AR5387un-squashfs-cfe.bin.

Código: [Seleccionar]
#Distribution feeds
src/gz reboot_core http://downloads.lede-project.org/releases/17.01.0-rc1/targets/brcm63xx/generic/packages
src/gz reboot_base http://downloads.lede-project.org/releases/17.01.0-rc1/packages/mips_mips32/base
src/gz reboot_luci http://downloads.lede-project.org/releases/17.01.0-rc1/packages/mips_mips32/luci
src/gz reboot_packages http://downloads.lede-project.org/releases/17.01.0-rc1/packages/mips_mips32/packages
src/gz reboot_routing http://downloads.lede-project.org/releases/17.01.0-rc1/packages/mips_mips32/routing
src/gz reboot_telephony http://downloads.lede-project.org/releases/17.01.0-rc1/packages/mips_mips32/telephony

Gracias por responder.

Ficht

  • Visitante
Re: Instalar HORST (Highly Optimized Radio Scanning Tool)
« Respuesta #4 en: 03-02-2017, 20:04 (Viernes) »
Ficht - Me podrías indicar como lo has hecho?..

Después de actualizar la lista de paquetes y buscar por horst no me aparece.. a ti si?.. La configuración que tengo es esta, y la bin que instale es: lede-17.01.0-rc1-r3042-ec095b5-brcm63xx-generic-AR5387un-squashfs-cfe.bin.

Código: [Seleccionar]
#Distribution feeds
src/gz reboot_core http://downloads.lede-project.org/releases/17.01.0-rc1/targets/brcm63xx/generic/packages
src/gz reboot_base http://downloads.lede-project.org/releases/17.01.0-rc1/packages/mips_mips32/base
src/gz reboot_luci http://downloads.lede-project.org/releases/17.01.0-rc1/packages/mips_mips32/luci
src/gz reboot_packages http://downloads.lede-project.org/releases/17.01.0-rc1/packages/mips_mips32/packages
src/gz reboot_routing http://downloads.lede-project.org/releases/17.01.0-rc1/packages/mips_mips32/routing
src/gz reboot_telephony http://downloads.lede-project.org/releases/17.01.0-rc1/packages/mips_mips32/telephony

Gracias por responder.

Hola piccolino.
Yo me lo he compilado para mi router, la verdad que no lo he buscado en los repositorios exactamente.

Te dejo el archivo compilado aquí ( https://www.mediafire.com/folder/6cich8gka9aj2/packages )
Ten en cuenta, que al ser trunk hay cosas que pueden dar fallos de dependecia, o incluso que no se instale.

Tenes que pasar el fichero "ipk" al router manualmente e instalar con opkg.

Si quieres pruebalo y comenta a ver que tal.

Saludos.

piccolino

  • Visitante
Re: Instalar HORST (Highly Optimized Radio Scanning Tool)
« Respuesta #5 en: 04-02-2017, 16:22 (Sábado) »
Los archivos que me has pasado se han instalado correctamente menos la librería "libncursesw" que daba algunos unos errores. He probado a remover la librería "libncurses" junto con el paquete nano que depende de el, y he conseguido instalar después "libncursesw" sin errores. Al ejecutar horst parece que funciona correctamente y aunque no he podido finalizar instalando nano, tengo el horst funcionando muy gratamente  >:(

Solo puedo decir muchas gracias por vuestra ayuda.

Código: [Seleccionar]
root@lede:/tmp# opkg install libncursesw_5.9-4_mips_mips32.ipk
Installing libncursesw (5.9-4) to root...
Collected errors:
 * check_data_file_clashes: Package libncursesw wants to install file /usr/lib/libform.so
        But that file is already provided by package  * libncurses
 * check_data_file_clashes: Package libncursesw wants to install file /usr/lib/libformw.so
        But that file is already provided by package  * libncurses
 * check_data_file_clashes: Package libncursesw wants to install file /usr/lib/libmenu.so
        But that file is already provided by package  * libncurses
 * check_data_file_clashes: Package libncursesw wants to install file /usr/lib/libmenuw.so
        But that file is already provided by package  * libncurses
 * check_data_file_clashes: Package libncursesw wants to install file /usr/lib/libncurses.so
        But that file is already provided by package  * libncurses
 * check_data_file_clashes: Package libncursesw wants to install file /usr/lib/libncursesw.so
        But that file is already provided by package  * libncurses
 * check_data_file_clashes: Package libncursesw wants to install file /usr/lib/libpanel.so
        But that file is already provided by package  * libncurses
 * check_data_file_clashes: Package libncursesw wants to install file /usr/lib/libpanelw.so
        But that file is already provided by package  * libncurses
 * opkg_install_cmd: Cannot install package libncursesw.

root@lede:/tmp# opkg remove nano --autoremove
Removing package nano from root...
libncurses was autoinstalled and is now orphaned, removing.
Removing package libncurses from root...
terminfo was autoinstalled and is now orphaned, removing.
Removing package terminfo from root...

root@lede:/tmp# opkg install libncursesw_5.9-4_mips_mips32.ipk
Installing libncursesw (5.9-4) to root...
Installing terminfo (6.0-1) to root...
Downloading http://downloads.lede-project.org/releases/17.01.0-rc1/packages/mips_mips32/base/terminfo_6.0-1_mips_mips32.ipk.
Configuring terminfo.
Configuring libncursesw.

root@lede:/tmp# opkg install horst_5.0-1_mips_mips32.ipk
Installing horst (5.0-1) to root...
Configuring horst.
root@lede:/tmp#

//FINAL Y MÁS DOS RESPUESTAS